// 
// File name: Sensor.h
//
// Discription: Base classes
//
// Programmer: Vladimir P. Stasevich (SV)
//
// History: 
//    Created 30.01.2000 (SV)
//

#ifndef SENSOR_H
#define SENSOR_H

#include "Force.h"
#include "Robot.h"

#define MAXFX 0.9
#define MAXFZ 15
#define MAXMY 0.5

class TSensor
{
   protected:
      TForces prevForces;

   public:
      TSensor() : prevForces() {};

      TForces GetCurrentForces( );
      TForces GetDeltaForces( TTouchType type );
};

#endif

